- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::AnyModule Class Reference

`#include <anymodule.hpp>`

## Public Member Functions
| AnyModule ()
| AnyModule (const ModuleInfo &moduleInfo, const qi::AnyObject &object)
const std::string & | moduleName () const
const ModuleInfo & | moduleInfo () const
Public Member Functions inherited from qi::Object< T >
| Object ()
template<typename U >
| Object (const Object< U > &o)
template<typename U >
Object< T > & | operator= (const Object< U > &o)
| Object (const Object &o)
Object< T > & | operator= (const Object &o)
| Object (const qi::Future< MaybeAnyObject > &fobj)
| Object (const qi::FutureSync< MaybeAnyObject > &fobj)
template<typename U >
| Object (GenericObject *go, boost::shared_ptr< U > other)
| Shares ref counter with other, which must handle the destruction of go. More...
template<typename U >
| Object (boost::shared_ptr< U > other)
bool | isValid () const
| operator bool () const
| operator Object< Empty > () const
friend | KA_GENERATE_REGULAR_OP_GREATER (Object) friend KA_GENERATE_REGULAR_OP_LESS_OR_EQUAL(Object) friend KA_GENERATE_REGULAR_OP_GREATER_OR_EQUAL(Object) ObjectUid uid() const
PtrUid | ptrUid () const
boost::shared_ptr< T > | asSharedPtr ()
T & | asT () const
T * | operator-> () const
T & | operator* () const
bool | unique () const
GenericObject * | asGenericObject () const
void | reset ()
unsigned | use_count () const
void | checkT ()
| Check tha value actually has the T interface. More...
detail::ManagedObjectPtr | managedObjectPtr ()
| Object (GenericObject *go)
| Object (T *ptr)
| Object (GenericObject *go, boost::function< void(GenericObject *)> deleter)
| Object (T *ptr, boost::function< void(T *)> deleter)
Public Member Functions inherited from qi::detail::GenericObjectBounce< Object< T > >
const MetaObject & | metaObject () const
qi::Future< AnyReference > | metaCall (unsigned int method, const GenericFunctionParameters &params, MetaCallType callType=MetaCallType_Auto, Signature returnSignature=Signature()) const
qi::Future< AnyReference > | metaCall (const std::string &nameWithOptionalSignature, const GenericFunctionParameters &params, MetaCallType callType=MetaCallType_Auto, Signature returnSignature=Signature()) const
int | findMethod (const std::string &name, const GenericFunctionParameters &parameters) const
void | metaPost (unsigned int event, const GenericFunctionParameters &params) const
void | metaPost (const std::string &nameWithOptionalSignature, const GenericFunctionParameters &in) const
void | post (const std::string &eventName, Args &&...args) const
qi::FutureSync< SignalLink > | connect (const std::string &eventName, FUNCTOR_TYPE callback, MetaCallType threadingModel=MetaCallType_Auto) const
qi::FutureSync< SignalLink > | connect (const std::string &name, const SignalSubscriber &functor) const
qi::FutureSync< SignalLink > | connect (unsigned int signal, const SignalSubscriber &subscriber) const
qi::FutureSync< SignalLink > | connect (unsigned int signal, AnyObject target, unsigned int slot) const
qi::FutureSync< void > | disconnect (SignalLink linkId) const
qi::FutureSync< T > | property (const std::string &name) const
qi::FutureSync< AnyValue > | property (unsigned int id) const
qi::FutureSync< void > | setProperty (const std::string &name, const T &val) const
qi::FutureSync< void > | setProperty (unsigned int id, const AnyValue &val) const
ExecutionContext * | executionContext () const
bool | isStatsEnabled () const
void | enableStats (bool enable) const
ObjectStatistics | stats () const
void | clearStats () const
bool | isTraceEnabled () const
void | enableTrace (bool enable)
void | forceExecutionContext (boost::shared_ptr< qi::ExecutionContext > ec)
qi::Future< R > | async (const std::string &methodName, Args &&...args) const
R | call (const std::string &methodName, Args &&...args) const

## Public Attributes
ModuleInfo | _moduleInfo

## Additional Inherited Members
Public Types inherited from qi::Object< T >
using | MaybeAnyObject = typename boost::mpl::if_< typename boost::is_same< T, Empty >::type, None, Object< Empty >>::type
Static Public Member Functions inherited from qi::Object< T >
static ObjectTypeInterface * | interface ()
static void | keepManagedObjectPtr (detail::ManagedObjectPtr)
static void | noDeleteT (T *)
static void | noDelete (GenericObject *)
static void | deleteGenericObjectOnly (GenericObject *obj)
static void | deleteCustomDeleter (GenericObject *obj, boost::function< void(T *)> deleter)

## Detailed Description

A qi Module. basically an Object and a ModuleInfo

Definition at line 38 of file anymodule.hpp.

## Constructor & Destructor Documentation

qi::AnyModule::AnyModule | ( |  | ) |
| inline

Definition at line 41 of file anymodule.hpp.

qi::AnyModule::AnyModule | ( | const ModuleInfo & | moduleInfo,
|  | const qi::AnyObject & | object
| ) |  |
| inline

Definition at line 44 of file anymodule.hpp.

## Member Function Documentation

const ModuleInfo& qi::AnyModule::moduleInfo | ( |  | ) | const
| inline

Definition at line 53 of file anymodule.hpp.

const std::string& qi::AnyModule::moduleName | ( |  | ) | const
| inline

Definition at line 49 of file anymodule.hpp.

## Member Data Documentation

ModuleInfo qi::AnyModule::_moduleInfo

Definition at line 57 of file anymodule.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/anymodule.hpp